Tap
curl --request POST \
--url https://api.example.com/v1/phones/{phone_id}/tapimport requests
url = "https://api.example.com/v1/phones/{phone_id}/tap"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/phones/{phone_id}/tap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Gestures
Tap
Tap at coordinates
POST
/
v1
/
phones
/
{phone_id}
/
tap
Tap
Execute a single tap at the specified coordinates.
Request
curl -X POST https://api.tapkit.ai/v1/phones/{phone_id}/tap \
-H "X-API-Key: joot_your_api_key" \
-H "Content-Type: application/json" \
-d '{"x": 100, "y": 200}'
Path Parameters
| Parameter | Type | Description |
|---|---|---|
phone_id | string | The phone identifier |
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
async | boolean | false | Return immediately with job ID |
Request Body
{
"x": 100,
"y": 200
}
| Field | Type | Description |
|---|---|---|
x | integer | X coordinate in pixels |
y | integer | Y coordinate in pixels |
Response
Synchronous
{
"id": "job_abc123",
"status": "completed",
"result": {},
"created_at": "2024-01-15T10:30:00Z",
"completed_at": "2024-01-15T10:30:01Z"
}
Asynchronous
{
"job_id": "job_abc123"
}
Examples
Basic Tap
curl -X POST https://api.tapkit.ai/v1/phones/abc123/tap \
-H "X-API-Key: joot_..." \
-H "Content-Type: application/json" \
-d '{"x": 585, "y": 1266}'
Python Example
import requests
response = requests.post(
f"https://api.tapkit.ai/v1/phones/{phone_id}/tap",
headers={
"X-API-Key": "joot_...",
"Content-Type": "application/json"
},
json={"x": 100, "y": 200}
)
job = response.json()
print(f"Tap completed: {job['status']}")
Related Endpoints
- Tap by Description - Tap using natural language
- Double Tap - Double tap gesture
- Tap and Hold - Long press gesture
⌘I